Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/CalendarPlugin.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/CalendarPlugin.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/CalendarPlugin.cs	(revision 4107)
@@ -24,5 +24,5 @@
 
 namespace HeuristicLab.Calendar {
-  [Plugin("HeuristicLab.Calendar-3.3")]
+  [Plugin("HeuristicLab.Calendar", "3.3")]
   [PluginFile("HeuristicLab.Calendar-3.3.dll", PluginFileType.Assembly)]
   public class CalendarPlugin : PluginBase {
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4107)
@@ -1,17 +1,41 @@
-﻿using System.Reflection;
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+using System.Security;
 
 // General Information about an assembly is controlled through the following 
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("DayView")]
+[assembly: AssemblyTitle("HeuristicLab.Calendar")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("Moreum")]
-[assembly: AssemblyProduct("DayView")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
 [assembly: AssemblyCopyright("Copyright © Moreum 2005")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
+[assembly: AllowPartiallyTrustedCallers]
 
 // Setting ComVisible to false makes the types in this assembly not visible 
@@ -21,5 +45,5 @@
 
 // The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("08c6be4c-e6ac-42ff-b05c-3efb47df115e")]
+[assembly: Guid("B6BA196A-F2E3-4de2-AE8A-02D4995F8B57")]
 
 // Version information for an assembly consists of the following four values:
@@ -30,7 +54,8 @@
 //      Revision
 //
-// You can specify all the values or you can default the Revision and Build Numbers 
+// You can specify all the values or you can default the Build and Revision Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("1.0.0")]
-[assembly: AssemblyFileVersion("1.0.0.0")]
-[assembly: System.CLSCompliant(true)]
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.4105")]
+[assembly: AssemblyFileVersion("3.3.0.4105")]
+[assembly: AssemblyBuildDate("2010/07/26 18:06:56")]
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj	(revision 4107)
@@ -118,7 +118,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Content Include="Common.Logging.dll">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
     <Content Include="Spring.Aop.dll">
       <CopyToOutputDirectory>Always</CopyToOutputDirectory>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj.user
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj.user	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj.user	(revision 4107)
@@ -10,4 +10,5 @@
     <FallbackCulture>en-US</FallbackCulture>
     <VerifyUploadedFiles>false</VerifyUploadedFiles>
+    <ProjectView>ShowAllFiles</ProjectView>
   </PropertyGroup>
 </Project>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4107)
@@ -76,4 +76,7 @@
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Security", "HeuristicLab.Security", "{3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}"
+	ProjectSection(SolutionItems) = preProject
+		HeuristicLab.Security.ADODataAccess\3.3\HeuristicLab.Security.ADODataAccess-3.3.csproj = HeuristicLab.Security.ADODataAccess\3.3\HeuristicLab.Security.ADODataAccess-3.3.csproj
+	EndProjectSection
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Hive", "HeuristicLab.Hive", "{84899895-AC52-4053-8A91-61753EF8E0A8}"
@@ -90,4 +93,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Calendar-3.3", "HeuristicLab.Calendar\3.3\HeuristicLab.Calendar-3.3.csproj", "{D17A4D6A-4CAA-4470-8A19-F42463C021FD}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.ADODataAccess-3.3", "HeuristicLab.Security.ADODataAccess\3.3\HeuristicLab.Security.ADODataAccess-3.3.csproj", "{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}"
 EndProject
 Global
@@ -462,4 +467,20 @@
 		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|x64.ActiveCfg = Release|Any CPU
 		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|x86.ActiveCfg = Release|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Mixed Platforms.Build.0 = Debug|x64
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x64.ActiveCfg = Debug|x64
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x64.Build.0 = Debug|x64
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x86.ActiveCfg = Debug|x86
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x86.Build.0 = Debug|x86
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Mixed Platforms.Build.0 = Release|x64
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x64.ActiveCfg = Release|x64
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x64.Build.0 = Release|x64
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x86.ActiveCfg = Release|x86
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -486,4 +507,5 @@
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
 		{9076697B-C151-46CD-95BC-1D059492B478} = {BD1DE6F6-A188-4D1F-9681-BA7104818370}
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B} = {BD1DE6F6-A188-4D1F-9681-BA7104818370}
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Common/3.3/CommonPlugin.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Common/3.3/CommonPlugin.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Common/3.3/CommonPlugin.cs	(revision 4107)
@@ -27,9 +27,11 @@
 
 namespace HeuristicLab.Hive.Client.Common {
-  [Plugin("HeuristicLab.Hive.Client.Common-3.3")]
+  [Plugin("HeuristicLab.Hive.Client.Common", "3.3")]
   [PluginFile("HeuristicLab.Hive.Client.Common-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.2")]
-  [PluginDependency("HeuristicLab.Hive.Contracts-3.3")]
-  [PluginDependency("HeuristicLab.Tracing","3.3.0.0")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
   public class CommonPlugin: PluginBase {
   }
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Common/3.3/HeuristicLab.Hive.Client.Common-3.3.csproj
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Common/3.3/HeuristicLab.Hive.Client.Common-3.3.csproj	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Common/3.3/HeuristicLab.Hive.Client.Common-3.3.csproj	(revision 4107)
@@ -92,4 +92,13 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Common-3.3">
+      <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Common-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Core-3.3">
+      <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Persistence-3.3">
+      <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Persistence-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/CommunicationsPlugin.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/CommunicationsPlugin.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/CommunicationsPlugin.cs	(revision 4107)
@@ -28,12 +28,12 @@
 
 namespace HeuristicLab.Hive.Client.Communication {
-  
-  [Plugin("HeuristicLab.Hive.Client.Communication-3.3")]
+
+  [Plugin("HeuristicLab.Hive.Client.Communication", "3.3")]
   [PluginFile("HeuristicLab.Hive.Client.Communication-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.DataAccess-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Client.Common-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Contracts-3.3")]
-  [PluginDependency("HeuristicLab.Tracing")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Client.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Tracing", "3.3")]
   public class CommunicationsPlugin : PluginBase {
   }
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/HeuristicLab.Hive.Client.Communication-3.3.csproj
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/HeuristicLab.Hive.Client.Communication-3.3.csproj	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/HeuristicLab.Hive.Client.Communication-3.3.csproj	(revision 4107)
@@ -107,4 +107,5 @@
     <Compile Include="CommunicationsPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="SendJobCompletedEventArgs.cs" />
     <Compile Include="Service References\ServerService\Reference.cs">
       <AutoGen>True</AutoGen>
@@ -117,4 +118,32 @@
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
+    <None Include="Service References\ServerService\Arrays1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\HeuristicLab.DataAccess1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\HeuristicLab.Hive.Contracts.BusinessObjects1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\HeuristicLab.Hive.Contracts1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\HeuristicLab.PluginInfrastructure2.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\Message1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\service1.wsdl" />
+    <None Include="Service References\ServerService\service2.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\service3.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\ServerService\System1.xsd">
+      <SubType>Designer</SubType>
+    </None>
   </ItemGroup>
   <ItemGroup>
@@ -145,5 +174,4 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="app.config" />
     <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.Response.datasource" />
     <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.ResponseCalendar.datasource" />
@@ -153,37 +181,9 @@
     <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.ResponseResultReceived.datasource" />
     <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.ResponseSerializedJob.datasource" />
-    <None Include="Service References\ServerService\Arrays1.xsd" />
-    <None Include="Service References\ServerService\HeuristicLab.DataAccess1.xsd" />
-    <None Include="Service References\ServerService\HeuristicLab.Hive.Client.Communication.ServerService.Response.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\ServerService\HeuristicLab.Hive.Client.Communication.ServerService.ResponseCalendar.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\ServerService\HeuristicLab.Hive.Client.Communication.ServerService.ResponseHB.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\ServerService\HeuristicLab.Hive.Client.Communication.ServerService.ResponseJob.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\ServerService\HeuristicLab.Hive.Client.Communication.ServerService.ResponsePlugin.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\ServerService\HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\ServerService\HeuristicLab.Hive.Contracts.BusinessObjects1.xsd" />
-    <None Include="Service References\ServerService\HeuristicLab.Hive.Contracts1.xsd" />
     <None Include="Service References\ServerService\HeuristicLab.PluginInfrastructure.xsd" />
-    <None Include="Service References\ServerService\HeuristicLab.PluginInfrastructure2.xsd" />
-    <None Include="Service References\ServerService\Message1.xsd" />
     <None Include="Service References\ServerService\Reference.svcmap">
       <Generator>WCF Proxy Generator</Generator>
       <LastGenOutput>Reference.cs</LastGenOutput>
     </None>
-    <None Include="Service References\ServerService\service1.wsdl" />
-    <None Include="Service References\ServerService\service2.xsd" />
-    <None Include="Service References\ServerService\service3.xsd" />
-    <None Include="Service References\ServerService\System1.xsd" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/SendJobCompletedEventArgs.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/SendJobCompletedEventArgs.cs	(revision 4107)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/SendJobCompletedEventArgs.cs	(revision 4107)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
+
+namespace HeuristicLab.Hive.Client.Communication.ServerService {
+  public partial class SendJobCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
+
+    /// <summary>
+    /// Contains the serialized bytestream of the job
+    /// </summary>
+    public byte[] Data {
+      get {
+        base.RaiseExceptionIfNecessary();
+        return (byte[])this.results[1];
+      }
+    }
+  }
+}
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Arrays1.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Arrays1.xsd	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Arrays1.xsd	(revision 4107)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<xs:schema xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/Arrays" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
   <xs:complexType name="ArrayOfKeyValueOfguiddouble">
@@ -26,9 +26,3 @@
   </xs:complexType>
   <xs:element name="ArrayOfguid" nillable="true" type="tns:ArrayOfguid" />
-  <xs:complexType name="ArrayOfbase64Binary">
-    <xs:sequence>
-      <xs:element minOccurs="0" maxOccurs="unbounded" name="base64Binary" nillable="true" type="xs:base64Binary" />
-    </xs:sequence>
-  </xs:complexType>
-  <xs:element name="ArrayOfbase64Binary" nillable="true" type="tns:ArrayOfbase64Binary" />
 </xs:schema>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.DataAccess1.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.DataAccess1.xsd	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.DataAccess1.xsd	(revision 4107)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
   <xs:complexType name="PersistableObject">
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd	(revision 4107)
@@ -1,7 +1,8 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" />
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/System" />
   <xs:complexType name="ClientDto">
     <xs:complexContent mixed="false">
@@ -10,7 +11,7 @@
           <xs:element minOccurs="0" name="CalendarSyncStatus" type="tns:CalendarState" />
           <xs:element minOccurs="0" name="Config" nillable="true" type="tns:ClientConfigDto" />
-          <xs:element minOccurs="0" name="CpuSpeedPerCore" type="xs:int" />
+          <xs:element minOccurs="0" name="CpuSpeedPerCore" nillable="true" type="xs:int" />
           <xs:element minOccurs="0" name="FreeMemory" type="xs:int" />
-          <xs:element minOccurs="0" name="Login" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="Login" nillable="true" type="xs:dateTime" />
           <xs:element minOccurs="0" name="Memory" type="xs:int" />
           <xs:element minOccurs="0" name="NrOfCores" type="xs:int" />
@@ -85,4 +86,5 @@
           <xs:element minOccurs="0" name="DateCalculated" nillable="true" type="xs:dateTime" />
           <xs:element minOccurs="0" name="DateCreated" nillable="true" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="DateFinished" nillable="true" type="xs:dateTime" />
           <xs:element minOccurs="0" name="MemoryNeeded" type="xs:int" />
           <xs:element minOccurs="0" name="ParentJob" nillable="true" type="tns:JobDto" />
@@ -110,5 +112,5 @@
           <xs:element minOccurs="0" name="BuildDate" type="xs:dateTime" />
           <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
-          <xs:element minOccurs="0" name="Version" nillable="true" type="xs:string" />
+          <xs:element xmlns:q7="http://schemas.datacontract.org/2004/07/System" minOccurs="0" name="Version" nillable="true" type="q7:Version" />
         </xs:sequence>
       </xs:extension>
@@ -118,5 +120,5 @@
   <xs:complexType name="ProjectDto">
     <xs:complexContent mixed="false">
-      <xs:extension xmlns:q7="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q7:PersistableObject">
+      <xs:extension xmlns:q8="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q8:PersistableObject">
         <xs:sequence>
           <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
@@ -126,4 +128,17 @@
   </xs:complexType>
   <xs:element name="ProjectDto" nillable="true" type="tns:ProjectDto" />
+  <xs:complexType name="ArrayOfHivePluginFile">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="HivePluginFile" nillable="true" type="tns:HivePluginFile" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfHivePluginFile" nillable="true" type="tns:ArrayOfHivePluginFile" />
+  <xs:complexType name="HivePluginFile">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="BinaryFile" nillable="true" type="xs:base64Binary" />
+      <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="HivePluginFile" nillable="true" type="tns:HivePluginFile" />
   <xs:complexType name="ArrayOfAppointmentDto">
     <xs:sequence>
@@ -134,5 +149,5 @@
   <xs:complexType name="AppointmentDto">
     <xs:complexContent mixed="false">
-      <xs:extension xmlns:q8="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q8:PersistableObject">
+      <xs:extension xmlns:q9="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q9:PersistableObject">
         <xs:sequence>
           <xs:element minOccurs="0" name="AllDayEvent" type="xs:boolean" />
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd	(revision 4107)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
   <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" />
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.PluginInfrastructure2.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.PluginInfrastructure2.xsd	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/HeuristicLab.PluginInfrastructure2.xsd	(revision 4107)
@@ -1,5 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" xmlns:xs="http://www.w3.org/2001/XMLSchema">
-  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
   <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" />
   <xs:complexType name="ArrayOfCachedHivePluginInfoDto">
@@ -13,5 +12,5 @@
       <xs:extension xmlns:q1="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" base="q1:HivePluginInfoDto">
         <xs:sequence>
-          <xs:element xmlns:q2="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="PluginFiles" nillable="true" type="q2:ArrayOfbase64Binary" />
+          <xs:element minOccurs="0" name="PluginFiles" nillable="true" type="q1:ArrayOfHivePluginFile" />
         </xs:sequence>
       </xs:extension>
